"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExternalOrphanError = exports.MoveNonorphanError = exports.AdoptNonorphanError = exports.IncorrectTagError = void 0;

class IncorrectTagError extends Error {
  constructor(currentTag, fieldTag) {
    super();
    this.currentTag = currentTag;
    this.fieldTag = fieldTag;
  }

}

exports.IncorrectTagError = IncorrectTagError;

class AdoptNonorphanError extends Error {}

exports.AdoptNonorphanError = AdoptNonorphanError;

class MoveNonorphanError extends Error {}

exports.MoveNonorphanError = MoveNonorphanError;

class ExternalOrphanError extends Error {
  constructor(sourceArena, targetArena) {
    super();
    this.sourceArena = sourceArena;
    this.targetArena = targetArena;
  }

}

exports.ExternalOrphanError = ExternalOrphanError;